Сайт | Скачать | Видео | Wiki

Голосование

Нужна ли большая сборка PRA-roll ?

Да. XFCE + LXQT
10 (26.3%)
Да. XFCE
15 (39.5%)
Да. LXQT
3 (7.9%)
Да. С другим DE (Mate, KDE ... - пишите в комментарии)
3 (7.9%)
Нет. Достаточно OLS
7 (18.4%)

Проголосовало пользователей: 38

Автор Тема: PRA-roll. x86_64 (64бит). Frugal + Full c автообновлением пакетов  (Прочитано 132758 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 4108
  • Репутация: +121/-1
Какие-то чудеса.
Загрузился с /base + firefox. Все работает и видео и звук, и параллельно звук от двух источников. Правда пришлось доустанавливать dbus-glib.
Код
live@roll2103 ~ $ aufs-n | grep bund
01 /memory/bundles/090-changes-03.03.21.pfs                         ro+wh
02 /memory/bundles/089-upd-2103-sf06.pfs                            ro+wh
03 /memory/bundles/firefox-bin-gtk3-p-89.0.2_64-kr01.pfs            ro+wh
04 /memory/bundles/zsh-5.8-1_plugin.pfs                             ro+wh
05 /memory/bundles/083-firefox-profile_any-kr01.pfs                 ro+wh
06 /memory/bundles/040-de-ovs-gtk3-2103-sf02.pfs                    ro+wh
07 /memory/bundles/030-qt5-5.15.2-2103-sf01.pfs                     ro+wh
08 /memory/bundles/001-prar-2103-sf03_DEV.pfs                       ro+wh
09 /memory/bundles/001-prar-2103-sf03.pfs                           ro+wh
10 /memory/bundles/000-kernel-5.12.0-pf6-lf_64.pfs                  ro+wh


live@roll2103 ~ $ firefox   
/usr/bin/pulseaudio   
XPCOMGlueLoad error for file /opt/firefox/libxul.so:   
libdbus-glib-1.so.2: cannot open shared object file: No such file or directory   
Couldn't load XPCOM. 

Наверно проблемы начинаются где-то на этом этапе:
дальше решил пойти по простому пути и создать большой SOFT.pfs со всеми своими пакетами, которые постоянно использую. Т.е. pacman2pfs пакет1 пакет2 пакет3...

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 4108
  • Репутация: +121/-1
пришлось доустанавливать dbus-glib
В вирте; de-ovs, base_only, firefox-bin-gtk3-p-89.0.2_64.
Скрин.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 31412
  • Репутация: +208/-0
  • Автор темы
    • PuppyRus-A
089-upd-2103-sf07.pfs
добавил dbus-glib. Он маленький. В LFA2008 тоже в 001

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 31412
  • Репутация: +208/-0
  • Автор темы
    • PuppyRus-A

Оффлайн vpv1960

  • Постоялец
  • ***
  • Сообщений: 113
  • Репутация: +8/-0
089-upd-2103-sf08.pfs
Зачем "эталон" ломать. После установки этого модуля сломалось переключение клавиатуры - осталась только английская. стал выскакивать какой-то клипс непонятного назначения. У нас идет эпическое сражение за периферию, а тут новые вводные. Убрал. Оставил ....sf06.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 31412
  • Репутация: +208/-0
  • Автор темы
    • PuppyRus-A

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 4108
  • Репутация: +121/-1
Не запускается python-pip
У меня pacman2pfs.sh повешен на хоткей (Super-p) и многие одиночные пакеты я ставлю с помощью него. Так же было и с python-pip, который почему-то в итоге отказывался работать.

Вообщем запускал pacman2pfs.sh и смотрел разные пакеты, типа python3 (установлен), pulseaudio (установлен) и не мог понять, почему он предлагает мне версии ниже установленных. Словно дата репы в /etc/pacman.d/mirrorlist понизилась.
Оказалось, при запуске pacman2pfs.sh не стартовала команда pacman -Syy. Вот так и вышло, что я установил не актуальную версию python-pip. Та же ситуация, когда проверял system-config-printer и он тоже не запускался.

В итоге, сделал pacman -Syy, создал var/lib/pacman/sync/ в rootcopy и скопировал туда все *.db.

Что удивительно, в вирте pacman2pfs.sh отрабатывает правильно, с запуском pacman -Syy. Так что зря 'грешил' на python-fake 3.8.5-1.
« Последнее редактирование: 01 Июль 2021, 01:04:45 от krasnyh »

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 31412
  • Репутация: +208/-0
  • Автор темы
    • PuppyRus-A
network-manager-1.20.0-2103-sf03.pfs в prar2103 нерабочий. Заменил на networkmanager-ifupdown-0.9.8.10-2008-sf04.pfs - без замечаний
А подробности? Как по такому багрепорту его чинить?

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 4108
  • Репутация: +121/-1
А подробности? Как по такому багрепорту его чинить?
Попробовать изменить настройки соединения. С network-manager-1.20.0-2103-sf03.pfs это не удастся.

de-ovs
« Последнее редактирование: 03 Июль 2021, 21:27:40 от krasnyh »

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 31412
  • Репутация: +208/-0
  • Автор темы
    • PuppyRus-A
изменить настройки соединения. С network-manager-1.20.0-2103-sf03.pfs это не удастся.
Хочет polkit авторизации. Самое простое для prar решение - запустить nm-applet от root
089-upd-2103-sf10.pfs
Получается исо с нерабочим NM. Планирую переделать с новым ядром. Если есть еще идеи - пишите

Оффлайн Kamazok

  • Пользователь
  • **
  • Сообщений: 41
  • Репутация: +0/-0
У меня вопрос, планирует ли sfs привлекать новых людей? Я конкретно про сайт 4pda говорю -> https://4pda.to/forum/index.php?showforum=614 Меня часто спрашивают о лёгких Линукс дистрибутивах для старого железа, рекомендую им сборки от sfs. Хотелось бы видеть на 4pda тему "PuppyRus Linux" (если можно).

Дальше, ядра (kernel) от Xanmod можно как-то в дефолтную сборку включать? Очень не хватает скорости работы -> https://xanmod.org/ (Спасибо)

Ещё (чтобы расширить потенциальную аудиторию) можно сделать отдельную сборку для ретро консолей. Игры под которые можно будет загружать паками из репозитория. Я уверен в больше чем 2000-3000 новых загрузок в первый же месяц. Фан база данного направления очень большая.
« Последнее редактирование: 08 Июль 2021, 15:16:09 от Kamazok »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 4108
  • Репутация: +121/-1
ядра (kernel) от Xanmod можно как-то в дефолтную сборку включать?
У нас используются pf-kernel, тоже считаются быстрыми.

Оффлайн Kamazok

  • Пользователь
  • **
  • Сообщений: 41
  • Репутация: +0/-0
У нас используются pf-kernel, тоже считаются быстрыми.
Мне поступают запросы от людей, я их озвучиваю. Было бы хорошо, если бы и sfs мог их лично читать на 4pda в отдельной теме. На идею с эмулятором наткнулся там же. Его можно запускать поверх (во весь экран) сразу после запуска Линукс, удалив из него всё лишнее. Вот и новая сборка для эмуляторщиков (на флешке) -> https://losst.ru/luchshie-emulyatory-dlya-linux чтобы занять на ней свою нишу.
« Последнее редактирование: 08 Июль 2021, 16:40:54 от Kamazok »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 4108
  • Репутация: +121/-1
В инстаграмме (firefox) не работает видео
Поставил pulseaudio-alsa, проблема решилась. Не знаю, частный это случай или глобальный. До этого никогда не использовал pulseaudio. В prar2103 этот пакет в 001-prar-2103 по умолчанию.


p.s. Как-то влиял на видео, работающий параллельно другой источник (аудиоплеер). Стопорился и звук и видео в браузере. Если закрыть другой источник звука, то ok. Такая вот аномалия.
« Последнее редактирование: 09 Июль 2021, 00:35:12 от krasnyh »

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 31412
  • Репутация: +208/-0
  • Автор темы
    • PuppyRus-A
У меня вопрос,
Ответил на все вопросы в соответствующих темах